<?php

namespace Blog\Model;

use PDOException;

class EventModel extends Database {

    public function showEvents() {
        
    }

    public function updateEvent($event) {
        $pdo = $this->linkDB();
        $sql = "UPDATE ausstellung SET 
                        standortid = :standortid,
                        datum_von = :datum_von,
                        datum_bis = :datum_bis,
                        name = :name,
                        beschreibung = :beschreibung,
                        max_tickets = :max_tickets,
                        preis = :preis
                   WHERE ausstellungid = :ausstellungid;";

        $params = array(
            ":standortid" => $event['standortid'],
            ":datum_von" => $event['datum_von'],
            ":datum_bis" => $event['datum_bis'],
            ":name" => $event['name'],
            ":beschreibung" => $event['beschreibung'],
            ":max_tickets" => $event['max_tickets'],
            ":preis" => $event['preis'],
            ":ausstellungid" => $event['ausstellungid']
        );

        try {
            $sth = $pdo->prepare($sql);
            $sth->execute($params);
        } catch (PDOException $e) {
            new \Blog\Library\ErrorMsg("Fehler beim Aktualisieren der Daten.", $e);
            die;
        }
    }

    public function createEvent($event) {
        $pdo = $this->linkDB();

        $sql = "INSERT INTO ausstellung (`standortid`, `datum_von`, `datum_bis`, `name`, `beschreibung`, `max_tickets`, `preis`) VALUES (
            :standortid, :datum_von, :datum_bis, :name, :beschreibung, :max_tickets, :preis);";

        $params = array(
            ":standortid" => $event['standortid'],
            ":datum_von" => $event['datum_von'],
            ":datum_bis" => $event['datum_bis'],
            ":name" => $event['name'],
            ":beschreibung" => $event['beschreibung'],
            ":max_tickets" => $event['max_tickets'],
            ":preis" => $event['preis']
        );
        
        try {
            $sth = $pdo->prepare($sql);
            $sth->execute($params);
            return $sth;
        } catch (PDOException $e) {
            new \Blog\Library\ErrorMsg("Fehler beim Schreiben der Daten.", $e);
            die;
        }
    }

    public function getEvent($id) {
        $pdo = $this->linkDB();
        $sql = "SELECT * FROM `ausstellung` WHERE `ausstellungid` = :eventId;";
        $params = array("eventId" => $id);
        
        try {
            $sth = $pdo->prepare($sql);
            $sth->execute($params);
            $erg = $sth->fetchAll(\PDO::FETCH_ASSOC);
            return $erg[0];
        } catch (PDOException $e) {
            new \Blog\Library\ErrorMsg("Fehler beim Schreiben der Daten.", $e);
            die;
        }
    }
}